%global _lockdir /run/lock/lockdev
%global checkout 20111007git
%global co_date  2011-10-07

Summary: A library for locking devices
Name: lockdev
Version: 1.0.4
Release: 5.%{checkout}%{?dist}
License: LGPLv2
URL: https://github.com/definesat/lockdev
Source0: lockdev-%{version}.%{checkout}.tar.gz
Patch3000: lockdev-euidaccess.patch
Patch3001: 0001-major-and-minor-functions-moved-to-sysmacros.h.patch

BuildRequires: make autoconf automake libtool
BuildRequires: perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires: systemd
Requires(pre): shadow-utils
Requires(post): glibc
Requires(postun): glibc
Requires: systemd

%description
This package provides a reliable way to put an exclusive lock to devices using both 
FSSTND and SVr4 methods.

%package devel
Summary: The header files for the lockdev library
Requires: lockdev = %{version}-%{release}

%description devel
This package provides the development headers.

%prep
%setup -q -n lockdev-scm-%{co_date}
# lockdev.c.access: replace access() calls with euidaccess() (600636#c33)
%patch3000 -p1 -b .access
%patch3001 -p1

%build
./scripts/git-version > VERSION
touch ChangeLog

autoreconf -fiv
CFLAGS="%{optflags} -D_PATH_LOCK=\\\"%{_lockdir}\\\"" \
%configure --disable-static --enable-helper --disable-silent-rules
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
mkdir -p %{buildroot}%{_lockdir}
# install fie: /usr/lib/tmpfiles.d/lockdev.conf (#1324184)
mkdir -p %{buildroot}%{_tmpfilesdir}
cat > %{buildroot}%{_tmpfilesdir}/lockdev.conf <<EOF
# See tmpfiles.d(5) for details
d %{_lockdir} 0775 root lock -
EOF

%pre
getent group lock >/dev/null 2>&1 || groupadd -g 54 -r -f lock >/dev/null 2>&1 || :
%post
if [ $1 -eq 1 ] ; then
# for the time until first reboot
%tmpfiles_create lockdev.conf
fi

%files
%license COPYING
%doc AUTHORS
%ghost %dir %attr(0775,root,lock) %{_lockdir}
%attr(2711,root,lock)  %{_sbindir}/lockdev
%{_tmpfilesdir}/lockdev.conf
%{_libdir}/*.so.*
%{_mandir}/man8/*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lockdev.pc
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-5.20111007git
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-4.20111007git
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-3.20111007git
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 6 2023 Wang Guodong <gordonwwang@tencent.com> - 1.0.4-2.20111007git
- update url.

* Thu Nov 17 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.4-1.20111007git
- package init.